"use strict";
var mockRecorder = require('./index.js');
var complicatedLibThatIsNotPartOfThisTest = {
    a: 3,
    b: function (a, b) {
        return a + b;
    },
    d: new Date("2000-01-01")
};
var recorder = mockRecorder.recorder(complicatedLibThatIsNotPartOfThisTest, "test");

console.log(recorder.d);        // Sat Jan 01 2000 01:00:00 GMT+0100 (CET)
console.log(recorder.a);        // 3
console.log(recorder.b(1, 3));   // 4
console.log(recorder.b(5, 3));   // 8


// now, lets use our mock:

var mock = mockRecorder.replay('test');

console.log(recorder.d);        // 3

console.log(mock.a);        // 3
console.log(mock.b(1, 3));   // 4
console.log(mock.b(5, 3));   // 8

mockRecorder.wrapper('replay')
